> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprosperapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Targets

> Delete targets from a campaign



## OpenAPI

````yaml https://voice.getprosperapp.com/openapi.json delete /api/v1/campaigns/{campaign_id}/targets
openapi: 3.1.0
info:
  title: Prosper Voice
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/campaigns/{campaign_id}/targets:
    delete:
      tags:
        - Campaigns
      summary: Delete Targets
      description: Delete targets from a campaign
      operationId: delete_targets_api_v1_campaigns__campaign_id__targets_delete
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the campaign to delete targets from.
            title: Campaign Id
          description: The ID of the campaign to delete targets from.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteTargetsRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeleteTargetsRequest:
      properties:
        target_ids:
          items:
            type: string
          type: array
          title: Target Ids
          description: The IDs of the targets to delete
          examples:
            - - 1234-abcd-1234
              - 5678-efgh-5678
      type: object
      required:
        - target_ids
      title: DeleteTargetsRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````